MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001129XdebugFeature/Change requestpublic2015-03-18 00:102016-01-20 09:59
Reportersroussey 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.4.0rc1 
Summary0001129: X-Forwarded-For is not configurable
DescriptionDue to the configuration of firewalls and VPNs we can not reuse the header "X-Forwarded-For" for the purposes of remote_connect_back. We need to set the name of the header on our firewall and in xdebug.
TagsNo tags attached.
Operating System
PHP Version5.6.0-5.6.4
Attached Files

- Relationships

-  Notes
(0003111)
derick (administrator)
2015-06-07 12:33

Fixed for 3.0.0 with the new xdebug.remote_addr_header setting to configure which header to use as additional source of IP address for "REMOTE_ADDR".

- Issue History
Date Modified Username Field Change
2015-03-18 00:10 sroussey New Issue
2015-06-07 12:33 derick Note Added: 0003111
2015-06-07 12:33 derick Status new => closed
2015-06-07 12:33 derick Assigned To => derick
2015-06-07 12:33 derick Resolution open => fixed
2015-06-07 12:33 derick Fixed in Version => 3.0.0dev
2016-01-20 09:59 derick Fixed in Version 3.0.0dev => 2.4.0rc1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker